function enemy_load()
  enemy = {}
  enemy.img = {}
  enemy.img[1] = love.graphics.newImage('enemy1.png')
  enemy.img[2] = love.graphics.newImage('enemy2.png')
  enemy.scale = .5
  enemy.move_dist = 8
  enemy.move_timer = 2
  enemy.move_timer_default = enemy.move_timer
  enemy.move_timer_out = false
  
  enemy.bullet_timer = .5
  enemy.bullet_timer_range = {.1,5}
  enemy.bullet_timer_out = false
  enemy.bullet_can_shoot = false
  enemy.choice = nil
  
  enemy.spawned = {}
  --Default position in the enemy line-up to shoot the first bullet from. will change.
  enemy.bullet_position = 1
  function create_enemy(x,y,kind,gn)
    --Kind determines several factors including image, HP and other things.
    local enimg = enemy.img[kind]	
	local offset = 100
	for i,v in ipairs(enemy.group) do
		if i == 1 then offset = 100 else offset = 150*i end
	end
    table.insert(enemy.spawned, {kind=kind,
		img=enimg,
		x=x,
		y=y-offset,
		move=false,
		h_dir = 'left',
		down = false,
		hp=10*kind,
		scale=enemy.scale,
		dead=false})
  end
  function remove_enemy(e)
    table.remove(enemy.spawned,e)
  end
  enemy.group = {}
  function create_group(t,gn)
    --Takes a table of tables with variables to plug into the create_enemy function
	--makes it possible to make predesigned waves, replay, reorder etc.
	--group position Offset mentioned below probably goes in here.
    table.insert(enemy.group,{tab=t})
	for i,v in ipairs(t) do
	   create_enemy(unpack(v))
	end
  end
  function create_wave(wave_table)
    for i,v in ipairs(wave_table) do
		create_group(v)
	end
  end
  --X,Y,KIND
  --Look into creating an 'offset' between groups. Don't want to deal w/ negatives here.
  --Also learn to read this from text files.
  group1 = {{100,100,1},{132,100,1},{164,100,1},{196,100,1},{228,100,1},{260,100,1},{292,100,1},
			{100,132,1},{132,132,1},{164,132,1},{196,132,1},{228,132,1},{260,132,1},{292,132,1},
			{100,164,1},{132,164,1},{164,164,1},{196,164,1},{228,164,1},{260,164,1},{292,164,1},
			{100,196,2},{132,196,2},{164,196,2},{196,196,2},{228,196,2},{260,196,2},{292,196,2},
			{100,228,1},{132,228,1},{164,228,1},{196,228,1},{228,228,1},{260,228,1},{292,228,1},
			{100,260,1},{132,260,1},{164,260,1},{196,260,1},{228,260,1},{260,260,1},{292,260,1},
			{100,292,1},{132,292,1},{164,292,1},{196,292,1},{228,292,1},{260,292,1},{292,292,1}}
  group2 = {{100,100,2},{132,100,2},{164,100,2},{196,100,2},{228,100,2},{260,100,2},{292,100,2},
			{100,132,1},{132,132,1},{164,132,1},{196,132,1},{228,132,1},{260,132,1},{292,132,1},
			{100,164,1},{132,164,1},{164,164,1},{196,164,1},{228,164,1},{260,164,1},{292,164,1},
			{100,196,2},{132,196,2},{164,196,2},{196,196,2},{228,196,2},{260,196,2},{292,196,2},
			{100,228,1},{132,228,1},{164,228,1},{196,228,1},{228,228,1},{260,228,1},{292,228,1},
			{100,260,1},{132,260,1},{164,260,1},{196,260,1},{228,260,1},{260,260,1},{292,260,1},
			{100,292,2},{132,292,2},{164,292,2},{196,292,2},{228,292,2},{260,292,2},{292,292,2}}

  wave1 = {group1,group2,group1,group2,group1,group2}
  create_wave(wave1)
end
function enemy_update(dt)
  --how long the enemy table is
  local enm_tbl = table.getn(enemy.spawned)
  if enemy.move_timer >= 0 then
    --movement timer countdown and movement values off
    enemy.move_timer = enemy.move_timer - 10*dt
	enemy.move_timer_out = false
  else
    enemy.move_timer_out = true
  end
  if enemy.bullet_timer >= 0 then
    enemy.bullet_timer = enemy.bullet_timer - 10*dt
	enemy.bullet_timer_out = false
  else
	enemy.bullet_timer_out = true
  end
	if enemy.bullet_timer_out then
	  --Picks a random spot in the field of enemies and shoots the bullet from that enemies position.
	  enemy.bullet_position = math.random(1,table.getn(enemy.spawned))
	  enemy.choice = enemy.spawned[enemy.bullet_position]
	  --Rerolls the bullet position if it chooses one above the top bar
	  if enemy.choice.y<gui.height then
		enemy.choice = enemy.spawned[math.random(1,table.getn(enemy.spawned))]
	  else
	  end
	  if enemy.choice ~= nil then
		enemy.bullet_can_shoot = true
		enemy.bullet_timer_out = false
		enemy.bullet_timer = math.random(unpack(enemy.bullet_timer_range))
	  else
		return
	  end
	else
	end
  for i,v in ipairs(enemy.spawned) do
    if enemy.bullet_can_shoot == true then
		if v.kind == 1 then
          bullet_spawn(enemy.choice.x+(enemy.choice.img:getWidth()*enemy.scale)/2,enemy.choice.y+5,0,100,5)
		elseif v.kind == 2 then
          bullet_spawn(enemy.choice.x+(enemy.choice.img:getWidth()*enemy.scale)/2,enemy.choice.y+5,10,100,6)
          bullet_spawn(enemy.choice.x+(enemy.choice.img:getWidth()*enemy.scale)/2,enemy.choice.y+5,-10,100,6)
		end
		enemy.bullet_can_shoot = false
	end
    if enemy.move_timer_out == true then
	  v.move = true
	else
	  v.move = false
	end
    if v.move == true then
	  if v.h_dir == 'right' then
        v.x = v.x + enemy.move_dist
	  elseif v.h_dir == 'left' then
	    v.x = v.x - enemy.move_dist
	  end
	  if v.down == true then
	    v.y = v.y+(enemy.move_dist*4)
		v.down = false
	  end
	  enemy.move_timer = enemy.move_timer_default
	end
	if v.x+(v.img:getWidth()*enemy.scale) > love.graphics.getWidth() then
	  v.down = true
	  v.h_dir = 'left'
	elseif v.x < 0+enemy.move_dist then
	  v.h_dir = 'right'
	  v.down = true
	end
	if v.hp <= 0 then
	  remove_enemy(i)
	  player.credits = player.credits+(5*v.kind)
	end
  end
end
function enemy_draw()
  love.graphics.setColor(255,255,255)
  love.graphics.print(table.getn(enemy.spawned))
  for i,v in ipairs(enemy.spawned) do
    love.graphics.draw(v.img,v.x,v.y,0,enemy.scale,enemy.scale)
	if dbg == true then
		love.graphics.print(v.hp, v.x, v.y+30)
	end
  end
end