require 'enemy'
require 'player'
require 'gui'
require 'minion'
require 'bullet'
cl = require 'middleclass'

function love.load()
  gui_load()
  enemy_load()
  player_load()
  minion_load()
  bullet_load()
  bg = love.graphics.newImage('bg.png')
  dbg = true
  function timer(t)
	local tm = t
	if tm >= 0 then
	  --movement timer countdown and movement values off
	  tm = tm - 1*.001
	else
	  return true
	end
  end
  function checkCol(obj1,obj2,obj1_img,obj2_img)
	obj1_scale = obj1.scale or .5
	obj2_scale = obj2.scale or .5
	obj1_img = obj1_img or obj1.img
	obj2_img = obj2_img or obj2.img
	if obj1.x > obj2.x and obj1.x+(obj1_img:getWidth()*obj1_scale) < obj2.x+(obj2_img:getWidth()*obj2_scale)
	  and obj1.y < obj2.y+(obj2_img:getHeight()*obj1_scale) and obj1.y+(obj1_img:getHeight()*obj2_scale) > obj2.y then
		return true
	end
  end
end
function love.update(dt)
  gui_update(dt)
  enemy_update(dt)
  player_update(dt)
  minion_update(dt)
  bullet_update(dt)
end
function love.draw()
	love.graphics.draw(bg,0,0)
  enemy_draw()
  player_draw()
  gui_draw()
  minion_draw()
  bullet_draw()
  if dbg then
	love.graphics.print(tostring(love.timer.getFPS(),10,love.graphics.getHeight()-10))
  end
end
function love.keypressed(key)
 if key == 'escape' then
   love.event.push('quit')
 end
end
function love.keyreleased(key)
  if key == '1' or key == '2' or key == '3' then
    minion.can_spawn = true
  elseif key =='f1' then
	dbg = not dbg
  elseif key == 'space' then
	player.can_shoot = true
  else
	return key
  end
end