
function player_load()
  player = {}
  player.x = love.graphics.getWidth()/2
  player.y = love.graphics.getHeight()-50
  player.speed = 100
  
  player.img = love.graphics.newImage('player.png')
  player.scale = .5
  
  player.score = 0
  player.lives = 3
  player.credits = 100
  player.time_held_down = 0
  player.bullet_timer_default = 1
  player.bullet_timer = player.bullet_timer_default
  player.can_shoot = true
  player.shot_delay = false
  player.shot_delay_timer = 5                     
end

function player_update(dt)
  if love.keyboard.isDown('a') or love.keyboard.isDown('left') then
    player.x = player.x - player.speed*dt
  elseif love.keyboard.isDown('d') or love.keyboard.isDown('right') then
    player.x = player.x + player.speed*dt
  end
  if love.keyboard.isDown('space') then
	player.time_held_down = player.time_held_down + 1*dt
    if player.bullet_timer > 0 then
		player.bullet_timer = player.bullet_timer - 1*dt
	else
		player.can_shoot = true
		player.bullet_timer = player.bullet_timer_default
		player.time_held_down = 0
	end
	if player.can_shoot then
		if player.time_held_down < 1.5 then
			bullet_spawn(player.x+(player.img:getWidth()*player.scale)/2,player.y,0,-100,1)
			player.shot_delay = true
			player.can_shoot = false
		elseif player.time_held_down > 1.5 then
			bullet_spawn(player.x+(player.img:getWidth()*player.scale)/2,player.y,0,-100,1)
			bullet_spawn(player.x+(player.img:getWidth()*player.scale)/2,player.y,25,-100,1)
			bullet_spawn(player.x+(player.img:getWidth()*player.scale)/2,player.y,-25,-100,1)
			player.can_shoot = false
		end
	end
  else
	player.time_held_down = 0
  end
  if player.shot_delay then
    player.can_shoot = false
    local SDT = player.shot_delay_timer
	SDT = SDT - 10*dt
	if player.shot_delay_timer <=  0 then
	  player.can_shoot = true
	  player.shot_delay = false
	end
  end
  if player.x <= 0 then
    player.x = 0
  elseif player.x+(player.img:getWidth()*player.scale) >= love.graphics.getWidth() then
    player.x = love.graphics.getWidth()-(player.img:getWidth()*player.scale)
  end
end

function player_draw()
  love.graphics.draw(player.img,player.x,player.y,0,player.scale,player.scale)
end